Bug 441214 - Unable to start any of the system-config tools after changing hostname (xauth problem)
Unable to start any of the system-config tools after changing hostname (xauth...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 03:42 EDT by Per Thomas Jahr
Modified: 2009-01-09 01:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:20:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Thomas Jahr 2008-04-07 03:42:40 EDT
Description of problem:
After changing hostname with system-config-network, I can't start any of the 
graphical system-config tools anymore. Neither can I start pup.

Version-Release number of selected component (if applicable):
system-config-network-1.4.7-1.fc8

How reproducible:
Always

Steps to Reproduce:
(all commands as root)
1. Start system-config-network
2. Change hostname in the DNS tab.
3. Press save and then close system-config-network (don't restart the network 
interface).
4. Try to start system-config-network again.
  
Actual results:
No protocol specified
ERROR: Unable to initialize graphical environment. Most likely cause of failure 
is that the tool was not run using a graphical environment. Please either start 
your graphical user interface or set your DISPLAY variable.

Expected results:
system-config-network should start as before.

Additional info:
# echo $DISPLAY
:0.0

The problem seems to be that _gtk.init_check() fails because of some 
authentication issues against X: 

This is xauth list after I've changed hostname from apollo2 to apollo4:

# xauth list
apollo2/unix:0  MIT-MAGIC-COOKIE-1  542532c63e0effe0d5a6bcc06784de23

To be able to start the system-config tools again, I did:
# xauth add apollo4/unix:0 . 542532c63e0effe0d5a6bcc06784de23
Comment 1 Bug Zapper 2008-11-26 05:25:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:20:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.